The postgrest package

[maintain]
Warnings:

Reads the schema of a PostgreSQL database and creates RESTful routes for the tables and views, supporting all HTTP verbs that security permits.

Properties

Versions0.2.5.0, 0.2.5.1, 0.2.5.2, 0.2.5.3, 0.2.6.0, 0.2.7.0, 0.2.8.0, 0.2.9.1, 0.2.10.0, 0.2.11.0, 0.2.11.1, 0.2.12.0, 0.2.12.1, 0.3.0.0, 0.3.0.1, 0.3.0.2, 0.3.0.2, 0.3.0.3, 0.3.0.4, 0.3.1.0, 0.3.1.1, 0.3.2.0, 0.4.0.0
Dependenciesaeson (>=0.8), base (>=4.8 && <5), bytestring, case-insensitive, cassava, containers, errors, hasql (>=0.7.3 && <0.8), hasql-backend (>=0.4.1 && <0.5), hasql-postgres (>=0.10.4 && <0.11), HTTP, http-types, jwt, MissingH, optparse-applicative (>=0.11 && <0.13), parsec, postgrest, Ranged-sets, regex-tdfa, safe (==0.3.*), scientific, string-conversions, text, time, transformers, unix (>=2.7 && <3), unordered-containers, vector, wai (>=3.0.1), wai-cors, wai-extra, wai-middleware-static (>=0.6.0), warp (>=3.0.2) [details]
LicenseMIT
AuthorJoe Nelson, Adam Baker
Maintainercred+github@begriffs.com
CategoryWeb
Home pagehttps://github.com/begriffs/postgrest
Source repositoryhead: git clone git://github.com/begriffs/postgrest.git
Executablespostgrest
UploadedThu Dec 17 00:24:48 UTC 2015 by begriffs

Modules

[Index]

Flags

NameDescriptionDefaultType
ciNo warnings allowed in continuous integrationDisabledManual

Use -f <flag> to enable a flag, or -f -<flag> to disable that flag. More info

Downloads

Maintainers' corner

For package maintainers and hackage trustees